package com.milieukontakt.reagiram.receivers;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;

import com.milieukontakt.reagiram.services.ReportService;
import com.milieukontakt.reagiram.utils.Consts;
import com.milieukontakt.reagiram.utils.Utils;

/**
 * Created by MedoHome on 13.10.13.
 */
public class WifiReceiver extends BroadcastReceiver {

    @Override
    public void onReceive(final Context context, Intent intent) {
        if (Utils.isConnectedWifi(context)) {
            String jsonQueue = Utils.getStringFromPrefs(context, Consts.PREF_KEY_QUEUE);
            if (jsonQueue != null) {
                new Thread() {
                    @Override
                    public void run() {
                        try {
                            sleep(5000);
                            context.startService(new Intent(context, ReportService.class));
                        }
                        catch (Exception e) {
                            e.printStackTrace();
                        }
                    }
                }.start();
            }
        }
    }


}
