package com.milieukontakt.reagiram.utils;

/**
 * Created by MedoHome on 11.10.13.
 */
public class Consts {

    /**
     * Server communication *
     */
    public static final String RSS_URL = "http://reagiram.mk/?feed=rss2";
//    public static final String RSS_URL_2 = "http://milieukontakt.mk/?feed=rss2";
    public static final String SERVICE_USERCHECK = "http://reagiram.mk/services/user.php";
    public static final String SERVICE_MUNICIPALITIES = "http://reagiram.mk/services/municipality.php";
    public static final String SERVICE_REPORTS = "http://reagiram.mk/services/check.php";
    public static final String SERVICE_UPLOAD = "http://reagiram.mk/services/upload.php";
    public static final long RSS_VALIDITY = 24 * 60 * 60 * 100;
    public static final long MUNICIPALITIES_VALIDITY = 7 * 24 * 60 * 60 * 100;
    public static final String DATE_FORMAT = "yyyy-MM-dd hh:mm:ss";
    public static final int THUMB_MIN_SIZE = 1024;

    /**
     * Quick return constants *
     */
    public static final int OFF_SCREEN = 0;
    public static final int ON_SCREEN = 1;
    public static final int RETURNING = 2;
    public static final int HIDING = 3;

    /**
     * Activity results constants *
     */
    public static final int ACTION_PICK_PHOTO = 150;
    public static final int ACTION_TAKE_PHOTO = 151;
    public static final String EXTRA_PHOTO_PATH = "photo_path";

    /**
     * Shared preferences *
     */
    public static final String PREF_NAME = "prefs";
    public static final String PREF_KEY_STARTED = "started";
    public static final String PREF_KEY_PROFILE = "profile";
    public static final String PREF_KEY_QUEUE = "queue";
    public static final String PREF_KEY_RSS = "rss";
    public static final String PREF_KEY_RSS_TIMESTAMP = "rss_timestamp";
    public static final String PREF_KEY_MUNICIPALITIES = "municipalities";
    public static final String PREF_KEY_MUNICIPALITIES_TIMESTAMP = "municipalities_timestamp";
    public static final String PREF_KEY_REPORTS = "reports";
    public static final String PREF_KEY_REPORTS_NUMBER = "reports_number";
}
